(**************************************************************************)
(*  The CDuce compiler                                                    *)
(*  Alain Frisch <Alain.Frisch@ens.fr> and the CDuce team                 *)
(*  Copyright 2003,2004 (see LICENSE for details)                         *)
(**************************************************************************)

let nb_ext_syms = ref 0

let nb () = !nb_ext_syms

let register = 
  ref (fun i s args -> 
	 Location.raise_generic "No built-in support for ocaml externals")

let resolve s args =
  let i = !nb_ext_syms in
  let x = !register i s args in
  incr nb_ext_syms;
  (i,x)


